#=============================================================#
#========== SOURCE ALL LIBRARIES AND FUNCTIONS ===============#
#=============================================================#	
library(stats)
library(MASS)
library(glmnet)

User_Name_source_path="jacquin"			# ! Replace "jacquin" by the user name of your pc i.e. "user_name"

source(paste(paste("C:\\Users\\",User_Name_source_path,sep=""),"\\Desktop\\Genomic_evaluation_real_data\\Programs\\Read_genotypes.R",sep=""))
source(paste(paste("C:\\Users\\",User_Name_source_path,sep=""),"\\Desktop\\Genomic_evaluation_real_data\\Programs\\Get_genotype_frequencies.R",sep=""))


#=========================###
### READ DATA FROM FOLDER ###
#=========================###


Matrix_genotypes=Read_genotypes("Mada_188_accessions_38390.txt",User_Name_source_path)	

dim(Matrix_genotypes)

Matrix_genotypes[1:10,1:10]

treat_case=0

if ( treat_case )
{
	for ( j in 2:dim(Matrix_genotypes)[2] )
	{
		Ref_geno=Matrix_genotypes[2,j]
	
		for ( i in 2:dim(Matrix_genotypes)[1] ) 
		{
			if (Matrix_genotypes[i,j] == Ref_geno) { Matrix_genotypes[i,j]=2 } else { Matrix_genotypes[i,j]=0 }
		}
	
	}
}

Matrix_genotypes[1:10,1:10]

Matrix_genotypes_temp=Matrix_genotypes[2:dim(Matrix_genotypes)[1],2:dim(Matrix_genotypes)[2]]
dim(Matrix_genotypes_temp)

Matrix_genotypes_temp=apply(Matrix_genotypes_temp,2,as.numeric)
Matrix_genotypes_temp[1:10,1:10]
dim(Matrix_genotypes_temp)

Freq_matrix_genotypes_temp=Get_genotype_frequencies(Matrix_genotypes_temp)

Freq_matrix_genotypes_temp[,1:300]
apply(Freq_matrix_genotypes_temp[,1:10],2,sum)

apply(Freq_matrix_genotypes_temp,2,sum)


I=which(Freq_matrix_genotypes_temp[1, ]<=0.01)
J=which(Freq_matrix_genotypes_temp[2, ]>=0.99)
U=union(I,J)
U=U+1
U
length(U)


dim(Matrix_genotypes)

if (length (U >=1) ){ Matrix_genotypes=Matrix_genotypes[,-U] }

dim(Matrix_genotypes)

#write.table(t(Matrix_genotypes), file="Jap_167_accessions_16444_SNP.txt", sep=" ", quote=FALSE, col.names=FALSE, row.names=FALSE)














